data <- read.table("ch1e5.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~1,family=poisson))
data.frame(Day,Freq,Equi.fit=fitted(z0),Equi.res=residuals(z0,type="pearson"))

weekend <- c(rep(0,4),rep(1,3))
print(z1 <- glm(Freq~weekend,family=poisson))
data.frame(Day,Freq,First.fit=fitted(z1),
	First.res=residuals(z1,type="pearson"))

weekend2 <- as.factor(c(rep(0,4),1:3))
print(z2 <- glm(Freq~weekend2,family=poisson))
data.frame(Day,Freq,Second.fit=fitted(z2),
	Second.res=residuals(z2,type="pearson"))
