library(gnlm)
library(repeated)

data <- read.table("ch10e2.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~1,family=poisson))
print(z1 <- glm(Freq~Length,family=poisson))

if(interactive()){
plot(Length,Freq,pch=8,ylab="Faults")
lines(130:950,exp(coef(z1)[1]+(130:950)*coef(z1)[2]))
}

print(z2 <- gnlr(Freq,dist="negative binomial",mu=~exp(a+b*Length),
	pmu=coef(z1),psh=1))
print(z3 <- glmm(Freq~Length,family=poisson,nest=1:32,points=7))
