data <- read.table("ch4e1.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~Tiring+Car,family=poisson))

if(interactive()){
plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

cext1 <- rep(1,15)
cext1[1] <- cext1[15] <- 2
cext1 <- as.factor(cext1)
print(z1 <- glm(Freq~Tiring+Car+cext1,family=poisson))

if(interactive()){
plot(cooks.distance(z1,res=residuals(z1,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

cext2 <- rep(1,15)
cext2[1] <- cext2[15] <- 2
cext2[5] <- cext2[11] <- 3
cext2 <- as.factor(cext2)
print(z2 <- glm(Freq~Tiring+Car+cext2,family=poisson))
