library(repeated)

data <- read.table("ch9e2.dat",skip=6,header=T)
attach(data)

Diag <- Vote81!=Vote85
Sym <- factor(c(0:5,1,0,6:9,2,6,0,10:12,3,7,10,0,13,14,4,8,11,13,0,15,
	5,9,12,14,15,0))
Sym <- relevel(Sym,ref=1)

print(z0 <- glm(Freq~Vote81+Vote85,family=poisson))
print(z1 <- glm(Freq~Sym,family=poisson,weights=Diag))
print(summary(z2 <- glm(Freq~Sym+Vote81+Vote85,family=poisson,weights=Diag)))

marg.hom(Freq,Vote81,Vote85)
