data <- read.table("ch9e5.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~Work71+Work70+Work69+Work68+Work67,family=poisson))
print(z1 <- glm(Freq~Work71*Work70+Work70*Work69+Work69*Work68+Work68*Work67,
	family=poisson))
print(z2 <- glm(Freq~Work71*(Work70+Work69)+Work70*(Work69+Work68)+
	Work69*(Work68+Work67)+Work68*Work67,family=poisson))
print(z3 <- glm(Freq~Work71*(Work70+Work69+Work68)+Work70*
	(Work69+Work68+Work67)+Work69*(Work68+Work67)+Work68*Work67,
	family=poisson))

MS <- rep(T,31)
MS[1] <- MS[32] <- F

print(z0a <- glm(Freq~Work71+Work70+Work69+Work68+Work67,family=poisson,
	weights=MS))
print(z1a <- glm(Freq~Work71*Work70+Work70*Work69+Work69*Work68+Work68*Work67,
	family=poisson,weights=MS))
print(z2a <- glm(Freq~Work71*(Work70+Work69)+Work70*(Work69+Work68)+
	Work69*(Work68+Work67)+Work68*Work67,family=poisson,weights=MS))
print(z3a <- glm(Freq~Work71*(Work70+Work69+Work68)+Work70*
	(Work69+Work68+Work67)+Work69*(Work68+Work67)+Work68*Work67,
	family=poisson,weights=MS))
(Freq-fitted(z3a))[c(1,32)]
(Freq-fitted(z3a))[c(1,32)]/sum(Freq)

MS[1] <- T
print(z3b <- glm(Freq~Work71*(Work70+Work69+Work68)+Work70*
	(Work69+Work68+Work67)+Work69*(Work68+Work67)+Work68*Work67,
	family=poisson,weights=MS))
