data <- read.table("ch2e7.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Primula~Leaves+Flower,family=poisson))
print(z1 <- glm(Primula~1,offset=log(c(9,3,3,1)),family=poisson))
print(z2 <- glm(Primula~Leaves,offset=log(c(3,3,1,1)),family=poisson))

data.frame(Flower,Leaves,Primula,Indep=fitted(z0),R9.3.3.1=fitted(z1),
	Viability=fitted(z2))

print(u0 <- glm(Maize~BaseLeaf+Content,family=poisson))
print(u1 <- glm(Maize~1,offset=log(c(9,3,3,1)),family=poisson))
linkage <- c(0.25,-0.25,-0.25,0.25)*sum(Maize)
print(summary(u2 <- glm(Maize~linkage-1,offset=c(0.5,0.25,0.25,0)*sum(Maize),
	 family=poisson(link=identity))))
sqrt(coef(u2))

data.frame(Content,BaseLeaf,Maize,Indep=fitted(u0),R9.3.3.1=fitted(u1),
	Linkage=fitted(u2))
