data <- read.table("ch5e4.dat",skip=6,header=T)
attach(data)

wt <- c(rep(1,7),0)
print(summary(z0 <- glm(Freq~Census*Newspaper+Census*Telephone+
	Newspaper*Telephone,family=poisson,weights=wt)))

print(z1 <- glm(Freq~Census*Telephone+Newspaper*Telephone,family=poisson,
	weights=wt))
fitted(z1)
sum(fitted(z1))
v1 <- sum(fitted(z1))*fitted(z1)[8]/sum(fitted(z1)[c(1:3,5)])
sum(fitted(z1))-2*sqrt(v1)
sum(fitted(z1))+2*sqrt(v1)

print(z2 <- glm(Freq~Census*Telephone+Newspaper,family=poisson,weights=wt))
fitted(z2)
sum(fitted(z2))
v2 <- sum(fitted(z2))*fitted(z2)[8]/sum(fitted(z2)[c(1:3,5)])
sum(fitted(z2))-2*sqrt(v2)
sum(fitted(z2))+2*sqrt(v2)
